repos:
- repo: https://github.com/pre-commit/pre-commit-hooks
  rev: v4.2.0
  hooks:
  - id: trailing-whitespace
  - id: end-of-file-fixer
  - id: mixed-line-ending
    args: ['--fix=lf']
    description: Forces to replace line ending by the UNIX 'lf' character.
  - id: no-commit-to-branch
    args: ['--branch', 'master']
  - id: check-yaml
- repo: https://github.com/igorshubovych/markdownlint-cli
  rev: v0.39.0
  hooks:
  - id: markdownlint
- repo: https://github.com/compilerla/conventional-pre-commit
  rev: v1.3.0
  hooks:
  - id: conventional-pre-commit
    stages: [commit-msg]
- repo: https://github.com/antonbabenko/pre-commit-terraform
  rev: v1.75.0
  hooks:
    - id: terraform_tflint
    - id: terraform_fmt
